Skip to main content
`Ctrl`+`K`

# Pix2SkyProjection

class astropy.modeling.projections.Pix2SkyProjection(*args, **kwargs)

  Bases: `Projection`

  Base class for all Pix2Sky projections.

  Attributes Summary

  `input_units` | This property is used to indicate what units or sets of units the evaluate method expects, and returns a dictionary mapping inputs to units (or `None` if any units are accepted).
  `n_inputs` |
  `n_outputs` |
  `return_units` | This property is used to indicate what units or sets of units the output of evaluate should be in, and returns a dictionary mapping outputs to units (or `None` if any units are accepted).

  Methods Summary

  `__call__`(*inputs[, model_set_axis, ...]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(x, y, *args, **kwargs) | Evaluate the model on some input variables.

  Attributes Documentation

  input_units
  n_inputs = 2
  n_outputs = 2
  return_units

  Methods Documentation

  __call__(*inputs, model_set_axis=None, with_bounding_box=False, fill_value=nan, equivalencies=None, inputs_map=None, **new_inputs)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  evaluate(x, y, *args, **kwargs)

    Evaluate the model on some input variables.